> ## Documentation Index
> Fetch the complete documentation index at: https://docs.rails.xyz/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Expirations

> List available expiration dates for a market.



## OpenAPI

````yaml GET /contracts/markets/{market}/expirations
openapi: 3.1.0
info:
  title: Options API
  version: 1.0.0
  description: >-
    REST endpoints for Rails Options. Base URLs vary by environment — see the
    Environments page. Authorize with the access token obtained from the Auth
    API.
servers:
  - url: https://api-options.sandbox.rails.xyz
security:
  - bearerAuth: []
paths:
  /contracts/markets/{market}/expirations:
    get:
      summary: Get Expirations
      description: Lists the available expiration dates for an options market.
      operationId: getOptionsExpirations
      parameters:
        - name: market
          in: path
          required: true
          description: Underlying market, e.g. `BTC-USDT`.
          schema:
            type: string
      responses:
        '200':
          description: Available expirations
          content:
            application/json:
              schema:
                type: object
                properties:
                  market:
                    type: string
                  expirations:
                    type: array
                    items:
                      type: object
                      properties:
                        expiryDate:
                          type: string
                          description: Expiry date, `YYYY-MM-DD`.
                        expiryType:
                          type: string
                          description: '`WEEKLY` or `MONTHLY`.'
                        contractCount:
                          type: integer
                          description: Number of contracts for this expiry.
              example:
                market: BTC-USDT
                expirations:
                  - expiryDate: '2026-07-03'
                    expiryType: WEEKLY
                    contractCount: 32
                  - expiryDate: '2026-07-10'
                    expiryType: WEEKLY
                    contractCount: 28
                  - expiryDate: '2026-07-31'
                    expiryType: MONTHLY
                    contractCount: 22
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````